Difference between revisions of "Draft Move/fr"

From FreeCAD Documentation
Jump to navigation Jump to search
Line 18: Line 18:
 
==Description==
 
==Description==
  
<div class="mw-translate-fuzzy">
+
L'outil Déplacement déplace ou copie les objets sélectionnés d'un point à un autre.
Cet outil déplace un (ou des) objet(s) sélectionné(s) d'un point à un autre, dans le [[Draft SelectPlane/fr|plan de travail]] courant. Si aucun objet n'est sélectionné, il vous invitera à en sélectionner un.
 
</div>
 
  
 
The Move tool can be used on 2D shapes created with the [[Draft Workbench]] or [[Sketcher Workbench]], but can also be used on many types of 3D objects such as those created with the [[Part Workbench]] or [[Arch Workbench]].
 
The Move tool can be used on 2D shapes created with the [[Draft Workbench]] or [[Sketcher Workbench]], but can also be used on many types of 3D objects such as those created with the [[Part Workbench]] or [[Arch Workbench]].

Revision as of 07:36, 12 March 2019

Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎svenska • ‎čeština • ‎русский
Arrow-left.svg Page précédente: Draft Label.svg Label
Page suivante: Pivoter Draft Rotate.svg Arrow-right.svg

Draft Move.svg Déplacer

Emplacement du menu
Draft → Déplacer
Ateliers
Draft, Arch
Raccourci par défaut
M V
Introduit dans la version
0.7
Voir aussi
Copie en réseau, Chemin de copie en réseau


Description

L'outil Déplacement déplace ou copie les objets sélectionnés d'un point à un autre.

The Move tool can be used on 2D shapes created with the Draft Workbench or Sketcher Workbench, but can also be used on many types of 3D objects such as those created with the Part Workbench or Arch Workbench.

To produce various copies in different arrangements use Draft Array, Draft PathArray and Draft PointArray.

Draft Move example.jpg

Moving an object from one point to another point


Utilisation

  1. Sélectionnez les objets que vous souhaitez déplacer ou copier
  2. Cliquez sur le bouton Draft Move.png Déplacer, ou pressez M et la touche V
  3. Cliquez le premier point dans la vue 3D, ou donnez une coordonnée
  4. Cliquez un deuxième point dans la vue 3D, ou donnez une coordonnée

Limitations

  • Lors du déplacement (ou du changement de Placement) d'un objet du document (par exemple: Pad, Revolution, etc) basé sur un croquis (Sketcher/Part Design), vous devez déplacer le croquis original. Si vous déplacez l'objet dérivé, il retournera à la position définie par le croquis.

Options

  • Pressez les touches X, Y ou Z après le premier point, pour contraindre le point suivant sur l'axe donné.
  • Pour entrer les coordonnées manuellement, entrez simplement les chiffres, et appuyez sur ENTER entre chacune des composantes X, Y et Z.
  • Pressez la touche R ou cliquez sur la case à cocher/décocher Relative. Si le mode Relative est coché, les coordonnées du point suivant sont relatifs au dernier point. S'ils ne sont pas absolus, le point d'origine est (0,0,0).
  • Pressez la touche T ou cliquez sur la case à cocher/décocher Continue. Si le mode Continue est coché, l'outil Move va redémarrer après avoir terminé ou fermé, ce qui vous permet de déplacer ou copier les objets une nouvelle fois sans appuyer sur le bouton Draft Move.png Draft Move/fr à nouveau.
  • Pressez la touche ALT ou C ou cliquez sur la touche Copy fera une copie des objets au lieu de les déplacer. Si vous gardez la touche ALT enfoncée après avoir cliqué sur le second point, vous serez capable de placer autant de copies que vous voulez, jusqu'au moment ou vous relâchiez la touche ALT.
  • Pressez la touche CTRL pour que votre point d'emplacement se fasse sur un point d'encrage (snap) disponible, indépendamment de la distance.
  • Pressez la touche SHIFT pour créer une contrainte verticale ou horizontale en rapport avec le point de départ.
  • Pressez la touche ESC ou la touche Cancel pour annuler la commande courante.

Script

La commande Draft Move.png Move peut être utilisée dans une macro et dans la console Python, en utilisant la fonction suivante :

movedlist = move(objectslist, vector, copy=False)
  • Déplace l'objet donné ou les objets contenus dans la liste et dans la direction et distance indiquée par le vecteur donné.
  • Si copymode est True, les objets eux-mêmes ne sont pas déplacés, mais des copies sont créées à la place.
  • Retourne les objets (ou leurs copies) si copymode est réglé sur True

Exemple:

import FreeCAD, Draft

Polygon1 = Draft.makePolygon(5, radius=1000)
Polygon2 = Draft.makePolygon(3, radius=500)
Polygon3 = Draft.makePolygon(6, radius=220)

Draft.move(Polygon1, FreeCAD.Vector(500, 500, 0))
Draft.move(Polygon1, FreeCAD.Vector(500, 500, 0))
Draft.move(Polygon2, FreeCAD.Vector(1000, -1000, 0))
Draft.move(Polygon3, FreeCAD.Vector(-500, -500, 0))

List1 = [Polygon1, Polygon2, Polygon3]

vector = FreeCAD.Vector(-2000, -2000, 0)
List2 = Draft.move(List1, vector, copy=True)
List3 = Draft.move(List1, -2*vector, copy=True)
Arrow-left.svg Previous: Draft Label.svg Label
Next: Rotate Draft Rotate.svg Arrow-right.svg